{
  "aggMode" : "NONE",
  "codeName" : "Main",
  "columnEnableLink" : 2,
  "controlType" : "GRID",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail/PSGRIDS/Main.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch"
  },
  "groupMode" : "NONE",
  "hookEventNames" : [ "ROWDBLCLICK", "SELECTIONCHANGE", "REMOVE", "LOAD", "BEFORELOAD" ],
  "logicName" : "主表格",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "ROWDBLCLICK;SELECTIONCHANGE;REMOVE;LOAD;BEFORELOAD",
    "logicTag" : "grid",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_grid",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDEGridColumns" : [ {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.IBIZORDERDETAILNAME"
    },
    "caption" : "订单明细名称",
    "codeName" : "ibizorderdetailname",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "ibizorderdetailname",
    "excelCaption" : "订单明细名称",
    "name" : "ibizorderdetailname",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "IBIZORDERDETAILNAME",
      "codeName" : "IBIZOrderDetailName"
    },
    "width" : 150,
    "widthUnit" : "PX",
    "enableSort" : true
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.IBIZORDERDETAIL.IBIZORDERNAME"
    },
    "caption" : "订单名称",
    "codeName" : "IBIZordername",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "ibizordername",
    "excelCaption" : "订单名称",
    "name" : "IBIZordername",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "IBIZORDERNAME",
      "codeName" : "IBIZOrderName"
    },
    "width" : 150,
    "widthUnit" : "PX",
    "enableSort" : true
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.IBIZORDERDETAIL.IBIZUNIPRODUCTNAME"
    },
    "caption" : "产品名称",
    "codeName" : "IBIZuniproductname",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "ibizuniproductname",
    "excelCaption" : "产品名称",
    "getLinkPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZUNIProductRedirectView.json",
      "viewType" : "DEREDIRECTVIEW"
    },
    "linkValueItem" : "ibizuniproductid",
    "name" : "IBIZuniproductname",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "IBIZUNIPRODUCTNAME",
      "codeName" : "IBIZUNIProductName"
    },
    "width" : 150,
    "widthUnit" : "px",
    "enableLinkView" : true,
    "enableSort" : true
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.QUANTITY"
    },
    "caption" : "数量",
    "codeName" : "quantity",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "quantity",
    "excelCaption" : "数量",
    "name" : "quantity",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "QUANTITY",
      "codeName" : "Quantity"
    },
    "width" : 150,
    "widthUnit" : "px",
    "enableSort" : true
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UNITPRICE"
    },
    "caption" : "单价",
    "codeName" : "unitprice",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "unitprice",
    "excelCaption" : "单价",
    "name" : "unitprice",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "UNITPRICE",
      "codeName" : "UnitPrice"
    },
    "width" : 150,
    "widthUnit" : "px",
    "enableSort" : true
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.AMOUNT"
    },
    "caption" : "小计",
    "codeName" : "amount",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "amount",
    "excelCaption" : "小计",
    "name" : "amount",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "AMOUNT",
      "codeName" : "Amount"
    },
    "width" : 100,
    "widthUnit" : "STAR",
    "enableSort" : true
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UNIT"
    },
    "caption" : "单位",
    "codeName" : "unit",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "unit",
    "excelCaption" : "单位",
    "name" : "unit",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "UNIT",
      "codeName" : "Unit"
    },
    "width" : 150,
    "widthUnit" : "PX",
    "enableSort" : true
  } ],
  "getPSDEGridDataItems" : [ {
    "dataType" : 25,
    "name" : "ibizorderdetailname",
    "getPSAppDEField" : {
      "name" : "IBIZORDERDETAILNAME",
      "codeName" : "IBIZOrderDetailName"
    }
  }, {
    "dataType" : 25,
    "name" : "ibizordername",
    "getPSAppDEField" : {
      "name" : "IBIZORDERNAME",
      "codeName" : "IBIZOrderName"
    }
  }, {
    "dataType" : 25,
    "name" : "ibizuniproductname",
    "getPSAppDEField" : {
      "name" : "IBIZUNIPRODUCTNAME",
      "codeName" : "IBIZUNIProductName"
    }
  }, {
    "dataType" : 9,
    "name" : "quantity",
    "getPSAppDEField" : {
      "name" : "QUANTITY",
      "codeName" : "Quantity"
    }
  }, {
    "dataType" : 7,
    "name" : "unitprice",
    "getPSAppDEField" : {
      "name" : "UNITPRICE",
      "codeName" : "UnitPrice"
    }
  }, {
    "dataType" : 7,
    "name" : "amount",
    "getPSAppDEField" : {
      "name" : "AMOUNT",
      "codeName" : "Amount"
    }
  }, {
    "dataType" : 25,
    "name" : "unit",
    "getPSAppDEField" : {
      "name" : "UNIT",
      "codeName" : "Unit"
    }
  }, {
    "dataType" : 25,
    "name" : "ibizorderdetailid",
    "getPSAppDEField" : {
      "name" : "IBIZORDERDETAILID",
      "codeName" : "IBIZOrderDetailId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "IBIZORDERDETAILID",
      "codeName" : "IBIZOrderDetailId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfdataaccaction",
    "getPSAppDEField" : {
      "name" : "IBIZORDERDETAILID",
      "codeName" : "IBIZOrderDetailId"
    },
    "dataAccessAction" : true
  }, {
    "dataType" : 25,
    "name" : "ibizorderid",
    "getPSAppDEField" : {
      "name" : "IBIZORDERID",
      "codeName" : "IBIZOrderId"
    }
  }, {
    "dataType" : 25,
    "name" : "ibizuniproductid",
    "getPSAppDEField" : {
      "name" : "IBIZUNIPRODUCTID",
      "codeName" : "IBIZUNIProductId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "IBIZORDERDETAILNAME",
      "codeName" : "IBIZOrderDetailName"
    }
  } ],
  "getPSDEGridEditItems" : [ {
    "caption" : "订单明细标识",
    "codeName" : "srfkey",
    "enableCond" : 3,
    "ignoreInput" : 0,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "IBIZORDERDETAILID",
      "codeName" : "IBIZOrderDetailId"
    },
    "getPSEditor" : {
      "editorType" : "HIDDEN",
      "name" : "srfkey"
    },
    "allowEmpty" : true
  } ],
  "pagingSize" : 10,
  "getRemovePSControlAction" : {
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
    }
  },
  "sortMode" : "REMOTE",
  "hasWFDataItems" : false,
  "enableColFilter" : false,
  "enableCustomized" : true,
  "enableGroup" : false,
  "enablePagingBar" : true,
  "enableRowEdit" : false,
  "enableRowEditOrder" : false,
  "enableRowNew" : false,
  "forceFit" : true,
  "hideHeader" : false,
  "noSort" : false,
  "singleSelect" : false,
  "modelid" : "d1ab03dfc88189ae9dcc5e21a1458f93",
  "modeltype" : "PSDEGRID"
}